# Select

The select component.\
**Extends:** [`discord-components.Component`](https://devkiki7000.gitbook.io/discord-components/api-reference/componentmessage)

{% tabs %}
{% tab title="Parameters" %}

| placeholder                                                                          |
| ------------------------------------------------------------------------------------ |
| <p>The select's placeholder</p><p></p><p><strong>Type:</strong> <code>str</code></p> |

| id                                                                                  |
| ----------------------------------------------------------------------------------- |
| <p>The select's custom id.</p><p></p><p><strong>Type:</strong> <code>str</code></p> |

| options                                                                                                                                   |
| ----------------------------------------------------------------------------------------------------------------------------------------- |
| <p>The select's options.</p><p></p><p><strong>Type:</strong> List\[<a href="option"><code>discord-components.SelectOption</code></a>]</p> |

| max\_values                                                                           |
| ------------------------------------------------------------------------------------- |
| <p>The select's max\_values.</p><p></p><p><strong>Type:</strong> <code>int</code></p> |

| min\_values                                                                           |
| ------------------------------------------------------------------------------------- |
| <p>The select's min\_values.</p><p></p><p><strong>Type:</strong> <code>int</code></p> |

| disabled                                                                                                                                             |
| ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>Indicates if the select is disabled.</p><p></p><p><strong>Type:</strong> <code>bool</code></p><p><strong>Default:</strong> <code>False</code></p> |
| {% endtab %}                                                                                                                                         |

{% tab title="Attributes" %}

| placeholder                                                                          |
| ------------------------------------------------------------------------------------ |
| <p>The select's placeholder</p><p></p><p><strong>Type:</strong> <code>str</code></p> |

| id                                                                                                                               |
| -------------------------------------------------------------------------------------------------------------------------------- |
| <p>The select's custom id.</p><p>If not provided, it is a random value.</p><p></p><p><strong>Type:</strong> <code>str</code></p> |

| options                                                                                                                                   |
| ----------------------------------------------------------------------------------------------------------------------------------------- |
| <p>The select's options.</p><p></p><p><strong>Type:</strong> List\[<a href="option"><code>discord-components.SelectOption</code></a>]</p> |

| max\_values                                                                           |
| ------------------------------------------------------------------------------------- |
| <p>The select's max\_values.</p><p></p><p><strong>Type:</strong> <code>int</code></p> |

| min\_values                                                                           |
| ------------------------------------------------------------------------------------- |
| <p>The select's min\_values.</p><p></p><p><strong>Type:</strong> <code>int</code></p> |

| disabled                                                                                          |
| ------------------------------------------------------------------------------------------------- |
| <p>Indicates if the select is disabled.</p><p></p><p><strong>Type:</strong> <code>bool</code></p> |
| {% endtab %}                                                                                      |

{% tab title="Methods" %}

| to\_dict                                                                                                                               |
| -------------------------------------------------------------------------------------------------------------------------------------- |
| <p>Gets the component information required for API requests in dict form.</p><p></p><p><strong>Returns: <code>dict</code></strong></p> |

| from\_dict                                                                                                                                                                                                                                                                                                         |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| <p>Creates component instance from json.<br><br>This is a static method.</p><p></p><p><strong>Parameters:</strong></p><ul><li><strong>data</strong> (<code>dict</code>) - The json to construct select from.</li></ul><p><strong>Returns:</strong> <a href="select"><code>discord-components.Select</code></a></p> |
| {% endtab %}                                                                                                                                                                                                                                                                                                       |
| {% endtabs %}                                                                                                                                                                                                                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devkiki7000.gitbook.io/discord-components/api-reference/component/select.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
